<template>
  <butter-list class="currencies-list" :subtitle="subtitle" :details="details" :subdetails="fiatBalance" :active="active">
    {{ ticker }}
    <slot v-if="$slots.icon" slot="icon" name="icon"></slot>
    <butter-icon v-else-if="ticker" :name="ticker" mode="flag" slot="icon" />
  </butter-list>
</template>

<script>
import { FIAT } from '../lib/supported-fiat';

export default {
  props: ['name', 'ticker', 'balance', 'fiatBalance', 'active'],
  computed: {
    details() {
      return this.balance && `${this.balance}`;
    },
    subtitle() {
      if (this.name) return this.name;
      if (!this.ticker) return '';
      const fiatCurrency = FIAT.find((c) => c.currency == this.ticker.toUpperCase());
      return (fiatCurrency && fiatCurrency.name) || `exchange.currencies.${this.ticker.toLowerCase()}`;
    },
  },
};
</script>

<style lang="scss" scoped>
</style>
